PROMETHEUS-REDIS-EXPORTER(1)

NAME
prometheus-redis-exporter - Prometheus exporter for Redis metrics

SYNOPSIS
prometheus-redis-exporter [option...]

DESCRIPTION
This Prometheus exporter retrieves monitoring data from Redis servers, and exposes them via an HTTP server to be collected by Prometheus.

OPTIONS

-check-keys string
    Comma separated list of key-patterns to export value and length/size, searched for with SCAN.

-check-single-keys string
    Comma separated list of single keys to export value and length/size.

-config-command string
    What to use for the CONFIG command. (default "CONFIG")

-connection-timeout string
    Timeout for connection to Redis instance. (default "15s")

-export-client-list
    Whether to scrape Client List specific metrics.

-include-system-metrics
    Whether to include system metrics like e.g. redis_total_system_memory_bytes.

-is-tile38
    Whether to scrape Tile38 specific metrics.

-log-format string
    Log format, valid options are txt and json. (default "txt")

-namespace string
    Namespace for metrics. (default "redis")

-ping-on-connect
    Whether to ping the redis instance after connecting.

-redis-only-metrics
    Whether to also export go runtime metrics.

-redis.addr string
    Address of the Redis instance to scrape. (default "redis://localhost:6379")

-redis.password string
    Password of the Redis instance to scrape.

-script string
    Path to Lua Redis script for collecting extra metrics.

-set-client-name
    Whether to set client name to redis_exporter. (default true)

-skip-tls-verification
    Whether to to skip TLS verification.

-tls-client-cert-file string
    Name of the client certificate file (including full path) if the server requires TLS client authentication.

-tls-client-key-file string
    Name of the client key file (including full path) if the server requires TLS client authentication.

-web.listen-address string
    Address to listen on for web interface and telemetry. (default ":9121")

-web.telemetry-path string
    Path under which to expose metrics. (default "/metrics")

-debug
    Output verbose debug information.

-version
    Show version information and exit.

SEE ALSO
redis-server(8), prometheus(1).